# TestSuite

API Documentation: | `TestSuite`

Known Subtypes: |
`JvmTestSuite`

Note: This class is incubating and may change in a future version of Gradle.

Base test suite component. A test suite is a collection of tests.

### Properties

Property | Description
`targets` | Incubating Available targets for this test suite.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``DomainObjectCollection`<? extends `TestSuiteTarget`>` `targets` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Available targets for this test suite.